iOS 7.1, should I update?

Forum
iOS and iPadOS
I just got an alert on my iPhone today that iOS 7.1 is now available. Should I update or not?

Options

Comments

Submitted by Michael Hansen on Wednesday, March 12, 2014

Member of the AppleVis Editorial Team
Hello Josh, Whether to update or not is very much a personal decision. I personally updated to iOS 7.1 and have no regrets. However, there are some bugs that you might wish to know about before updating. To help inform your decision as to whether to update your devices to iOS 7.1, you may wish to read our list of accessibility improvements and bugs for iOS 7.1. It is available at http://www.applevis.com/blog/apple/whats-new-and-changed-blind-and-low-vision-users-ios-71.

Submitted by Jessica Brown on Wednesday, March 12, 2014

Please note that if you are jailbroaken or plan on jailbreaking, do not update to iOS 7.1, because iOS 7.1 patches the iOS 7 jailbreak. So you can not jailbreak on iOS 7.1. Just wait until they update the jailbreak to work with iOS 7.1. If you are not jailbroaken and do not plan on jailbreaking, you do not need to worry about this.

Submitted by Jesse Tregarthen on Wednesday, March 12, 2014

Like Michael said, it is a personal choice but I like it so far. It gets rid of that bug where VO reads "screen locked" twice which was very annoying when I was listening to music.

Submitted by Khalfan Bin Dhaher on Wednesday, March 12, 2014

If you're using a second language with VoiceOver I highly recommend you to stay with iOS 7.0.6. This feature doesn't work well in iOS 7.1.

Submitted by Isaac Hebert (not verified) on Wednesday, March 12, 2014

Yes I think you should update but be ware there is a few bugs such as vo saying app switcher when closing the app switcher after closing apps.

Submitted by Josh C. on Wednesday, March 12, 2014

In reply to by Isaac Hebert (not verified)

It looks like I'll be staying with iOS 7.0.6 for now, because of the second language and language detection bugs in iOS 7.1, which are not present in 7.0.6. I plan on studying a Bible which is in both Greek and English, and I need VoiceOver to read the Greek when it detects it, like it does in 7.0.6. Hopefully they fix this serious accessibility issue in the next update.